function zerst = idnonzer(inp)
%IDNONZER Returns subset of input vector that are valid handles.
%	INP:   A vector of candidate handles
%	ZERST: Vector of valid handles

%	L. Ljung 4-4-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.4 $  $Date: 1995/01/24 00:50:09 $

inp = inp(:);
inp = inp(inp>0);
zerst = inp(ishandle(inp));
